Package com.io7m.idstore.server.user_v1

# Class IdU1CommandServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.http.IdCommonInstrumentedServlet
com.io7m.idstore.server.user_v1.IdU1AuthenticatedServlet
com.io7m.idstore.server.user_v1.IdU1CommandServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public final class IdU1CommandServlet extends IdU1AuthenticatedServlet
A servlet for executing a single command.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdU1CommandServlet(IdServiceDirectoryType inServices)`
  A servlet for executing a single command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, IdSessionUser session)`

  ### Methods inherited from class com.io7m.idstore.server.user_v1.IdU1AuthenticatedServlet

  `messages, sends, service, strings, user, userSession`

  ### Methods inherited from class com.io7m.idstore.server.http.IdCommonInstrumentedServlet

  `service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdU1CommandServlet

    public IdU1CommandServlet(IdServiceDirectoryType inServices)
    A servlet for executing a single command.
    Parameters:
      `inServices` - The service directory

- ## Method Details

  - ### serviceAuthenticated

    protected void serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, IdSessionUser session) throws Exception
    Specified by:
      `serviceAuthenticated` in class `IdU1AuthenticatedServlet`
    Throws:
      `Exception`